phpMyAdmin 4.7

Stel hier jouw vragen die niet binnen de andere categorieën passen.
Forumregels
Check eerst even onze handleiding (http://help.antagonist.nl/) voordat je hier je vraag stelt. Voor de meeste problemen hebben we een oplossing met een zeer uitgebreide uitleg.
Plaats reactie
seb
Berichten: 8
Lid geworden op: 06 mar 2013, 19:01

phpMyAdmin 4.7

Bericht door seb » 24 apr 2017, 20:08

Weet iemand of Antagonist binnenkort van plan is om hun phpMyAdmin installatie te updaten naar versie 4.7? Er zijn namelijk een aantal features waar ik gebruik van wil maken en de versie die momenteel geinstalleerd is (4.0) wordt ook niet meer ondersteund.

Ik weet dat het ook mogelijk is om het zelf te installeren.. Maar dit is minder werk voor mij (ja.. slechte reden) en dan kunnen alle klanten er gebruik van maken.

Gebruikersavatar
Joris de Leeuw
Antagonist staff
Berichten: 782
Lid geworden op: 13 feb 2016, 20:15

Re: phpMyAdmin 4.7

Bericht door Joris de Leeuw » 25 apr 2017, 11:01

Beste Seb,

Dank voor je suggestie voor het upgraden van de phpMyAdmin installatie.

Graag wil ik als eerste aangeven dat ondanks dat het wegvallen van de ondersteuning van de makers van phpMyAdmin dit niet voor een veiligheidsrisico zorgt. Bij Antagonist (en diverse andere webhosters) wordt namlijk specifiek gebruik gemaakt van software die zeer lang is getest en door middel van 'backporting' extra veilig is gemaakt. Dit gaat om bewezen software die kan zorgen voor een zo betrouwbaar platform.

Hierdoor zie je op productiesystemen vaak een ouder versienummer die door backporting en extra testen wel veiliger en stabieler zijn dan een versies op traditionele Linux platforms. Op deze manier zorgen wij bij Antagonist er voor dat ons platform extra veilig en stabiel is.

Hoe wij ons platform extra veilig houden hebben we tevens beschreven op:
- https://www.antagonist.nl/blog/2016/09/ ... -platform/

Betreffende het upgraden van phpMyAdmin naar een andere 'branch' hebben we hier op dit moment nog geen concrete plannen voor, maar staat dit wel op de radar. Vanuit systeembeheer wordt onderzocht wat hiervoor de meest betrouwbare en veilige optie is.

phpMyAdmin 4.7 is namelijk nog relatief nieuw. In nieuwe software zitten vaak nog kinderziektes. Om deze reden kiezen wij enkel voor stabiele en geteste software zodat door een kleine bug niet opeens al onze klanten niet meer phpMyAdmin kunnen gebruiken.

Zodra er meer concreet is over een nieuwere versie van phpMyAdmin zal ik het natuurlijk hier delen.
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

seb
Berichten: 8
Lid geworden op: 06 mar 2013, 19:01

Re: phpMyAdmin 4.7

Bericht door seb » 25 apr 2017, 18:09

Ok, begrijpelijk. Bedankt voor de reactie!

jettaz
Berichten: 5
Lid geworden op: 04 mar 2018, 16:24

Re: phpMyAdmin 4.7

Bericht door jettaz » 04 mar 2018, 16:29

bijna jaar later, enige vooruitgang ???

Gebruikersavatar
Joris de Leeuw
Antagonist staff
Berichten: 782
Lid geworden op: 13 feb 2016, 20:15

Re: phpMyAdmin 4.7

Bericht door Joris de Leeuw » 06 mar 2018, 09:50

Hallo iedereen,

Op dit moment is er nog geen concrete statusupdate. Zodra er een statusupdate is zal ik deze natuurlijk delen. Merk op dat de huidige phpMyAdmin versie verder ook dezelfde functionaliteit biedt en dankzij 'backporting' extra veilig is.

Bij Antagonist maken wij specifiek gebruik van Red Hat Enterprise Linux modules/software. Hierbij zie je vaak een oudere, maar bewezen stabielere versienummer staan van software. Dit is dus een bewuste keuze en hierdoor houden we ons platform veilig.

Zodra er een nieuwere versie beschikbaar komt die extra is getest op veiligheid zullen wij deze na intern testen uitrollen. Zodra hier meer over bekend is zal ik dat hier delen.
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

Plaats reactie